__kernel void matmul(__global float *a, __global float *b, __global float *c) {
    int row = get_global_id(0);
    int col = get_global_id(1);
    
    float sum = 0.0f;
    for(int k = 0; k < SIZE; k++) {
        sum += a[SIZE*row + k] * b[SIZE*k + col];
    }
    c[SIZE*row + col] = sum;
}
